JobControllerGetLatestJobRunEventForJobs Method |
POST /Job/GetLatestJobRunEventForJobs/
Gets the latest job run events for the specified jobs.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetLatestJobRunEventForJobs")]
public IActionResult GetLatestJobRunEventForJobs(
[FromBodyAttribute] IList<Guid> jobIds,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetLatestJobRunEventForJobs")>
Public Function GetLatestJobRunEventForJobs (
<FromBodyAttribute> jobIds As IList(Of Guid),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetLatestJobRunEventForJobs")]
IActionResult^ GetLatestJobRunEventForJobs(
[FromBodyAttribute] IList<Guid>^ jobIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetLatestJobRunEventForJobs")>]
member GetLatestJobRunEventForJobs :
[<FromBodyAttribute>] jobIds : IList<Guid> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- jobIds
- Type: System.Collections.GenericIListGuid
The list of job IDs. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA list of
JobRunEventData objects, or a status code indicating the problem.
See Also